Bug 487831 - Tabbed Panel display throws NullPointerException
Tabbed Panel display throws NullPointerException
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: UI - Configuration (Show other bugs)
1.1.3
All Linux
high Severity high
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2009-02-27 22:29 EST by Rich Megginson
Modified: 2015-01-04 18:36 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:11:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (5.41 KB, patch)
2009-02-27 22:30 EST, Rich Megginson
no flags Details | Diff
cvs commit log (947 bytes, text/plain)
2009-03-02 11:29 EST, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2009-02-27 22:29:00 EST
Opening the directory console to any tabbed panel display (e.g. the main Configuration tab or any nodes under it) will cause the console to throw a NullPointerException in DSTabbedPanel

This only occurs on RHEL5 with the Sun 1.6 JRE - the openjdk 1.6 JRE works fine.
Comment 1 Rich Megginson 2009-02-27 22:30:09 EST
Created attachment 333586 [details]
patch
Comment 2 Jenny Galipeau 2009-03-02 11:12:49 EST
Thanks Rich for logging this.
Comment 3 Rich Megginson 2009-03-02 11:29:16 EST
Created attachment 333759 [details]
cvs commit log

Reviewed by: nkinder (Thanks!)
Fix Description: A couple of panels were defining an isValid method to use for clean/dirty validation.  However, the Component class which these panels inherit from also defines the isValid method for a different purpose.  Our code must not use the isValid method, so I renamed those methods to something more meaningful in their context.  I also found another problem with a null pointer access in some schema code.
Platforms tested: RHEL5 - with Sun JRE 1.6 and OpenJDK 1.6
Flag Day: no
Doc impact: no
Comment 4 Jenny Galipeau 2009-03-06 08:18:14 EST
fix verified - RHEL5 -
[root@jennyv2 jenny]# java -version
java version "1.6.0"
Java(TM) SE Runtime Environment (build pxi3260sr3-20081106_07(SR3))
IBM J9 VM (build 2.4, J2RE 1.6.0 IBM J9 2.4 Linux x86-32 jvmxi3260-20081105_25433 (JIT enabled, AOT enabled)
J9VM - 20081105_025433_lHdSMr
JIT  - r9_20081031_1330
GC   - 20081027_AB)
JCL  - 20081106_01
Comment 5 Chandrasekar Kannan 2009-04-29 19:11:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.